Skip to main content

Get all owners

GEThttps://api.propexo.com/v1/owners/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the owner

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: 65
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: 87
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RENTVINE

    Example: null
    address_1string | nullnullablerequired

    The first address line associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: 122 Bay Avenue
    address_2string | nullnullablerequired

    The second address line associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: Suite 3
    citystring | nullnullablerequired

    The city associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: San Francisco
    countrystring | nullnullablerequired

    The country associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: US
    statestring | nullnullablerequired

    The state associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: CA
    zipstring | nullnullablerequired

    The zip code associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: 12374
    first_namestring | nullnullablerequired

    The first name associated with the owner

    Important

    Several name, payee name, tax name, or company names may also exist on the Owner record. Please reach out to Propexo support if you'd like to load these values.

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: John
    middle_namestring | nullnullablerequired

    The middle name associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: Henry
    last_namestring | nullnullablerequired

    The last name associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: Doe
    company_namenullrequired

    The name of the company associated with the owner

    Notice

    This field will always be null for RENTVINE

    Example: null
    notesnullrequired

    Notes associated with the owner

    Notice

    This field will always be null for RENTVINE

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    email_2nullrequired

    The secondary email address associated with the owner

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for RENTVINE

    Example: null
    phone_1string | nullnullablerequired

    Primary phone number associated with the owner

    MethodInterface
    GET /api/manager/owners/searchContacts
    Example: (555) 555-5555
    phone_1_typenullrequired

    Type of the primary phone number

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for RENTVINE

    Example: null
    phone_2nullrequired

    Secondary phone number associated with the owner

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for RENTVINE

    Example: null
    phone_2_typenullrequired

    Type of the secondary phone number

    Important

    Hydrating this field requires making requests to an additional API which will increase your processed records count. Please contact support to enable.

    Notice

    This field will always be null for RENTVINE

    Example: null
    associated_property_idsstring[]required

    The property IDs associated with the owner

    InterfaceMethod
    PropertiesGET /api/manager/properties/{propertyID}
    Example: cm22ciaag4068540708shp6tp1a0gtdj
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum22required

    The property management system of record

    Show 13 enum values
    RENTVINEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRESMANYARDIYARDI_REST
    Example: RENTVINE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/owners/
curl https://api.propexo.com/v1/owners/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "65",
"x_property_id": "87",
"x_location_id": null,
"address_1": "122 Bay Avenue",
"address_2": "Suite 3",
"city": "San Francisco",
"country": "US",
"state": "CA",
"zip": "12374",
"first_name": "John",
"middle_name": "Henry",
"last_name": "Doe",
"company_name": null,
"notes": null,
"email_1": "[email protected]",
"email_2": null,
"phone_1": "(555) 555-5555",
"phone_1_type": null,
"phone_2": null,
"phone_2_type": null,
"associated_property_ids": "cm22ciaag4068540708shp6tp1a0gtdj",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTVINE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}